
package net.mcreator.enchantmenttutorial.enchantment;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.enchantment.EnchantmentType;
import net.minecraft.enchantment.Enchantment;

import net.mcreator.enchantmenttutorial.EnchantmenttutorialModElements;

@EnchantmenttutorialModElements.ModElement.Tag
public class PropellingEnchantment extends EnchantmenttutorialModElements.ModElement {
	@ObjectHolder("enchantmenttutorial:propelling")
	public static final Enchantment enchantment = null;
	public PropellingEnchantment(EnchantmenttutorialModElements instance) {
		super(instance, 3);
	}

	@Override
	public void initElements() {
		elements.enchantments.add(() -> new CustomEnchantment(EquipmentSlotType.MAINHAND).setRegistryName("propelling"));
	}
	public static class CustomEnchantment extends Enchantment {
		public CustomEnchantment(EquipmentSlotType... slots) {
			super(Enchantment.Rarity.RARE, EnchantmentType.ARMOR_CHEST, slots);
		}

		@Override
		public int getMinLevel() {
			return 1;
		}

		@Override
		public int getMaxLevel() {
			return 2;
		}

		@Override
		public boolean isTreasureEnchantment() {
			return false;
		}

		@Override
		public boolean isCurse() {
			return false;
		}

		@Override
		public boolean isAllowedOnBooks() {
			return true;
		}
	}
}
